Loading...
Searching...
No Matches
Elf64_Sym Struct Reference
Utility Functions » ELF binary format

ELF64 symbol table entry. More...

`#include <elf.h>`

Collaboration diagram for Elf64_Sym:

## Data Fields

Elf64_Word | st_name
| name of symbol (idx symstrtab)
unsigned char | st_info
| type and binding info
unsigned char | st_other
| undefined
Elf64_Half | st_shndx
| associated section header
Elf64_Addr | st_value
| value of associated symbol
Elf64_Xword | st_size
| size of associated symbol

## Detailed Description

ELF64 symbol table entry.

Definition at line 882 of file elf.h.

The documentation for this struct was generated from the following file:

- l4/util/elf.h